/* version 1.0.11 */
#chatbox {
    border: 1px solid #ccc;
    padding: 1rem;
    max-width: 600px;
    overflow-y: auto;
    background: #f9f9f9;
    border-radius: 5px;
    clear: both;
}
.cvechat input.form-control {
    display: inline-block;
    min-width: 40ch;
}
.cvechat .bot,
.cvechat .user {
    margin: 0.5rem 0;
    padding: 0.5rem;
    border-radius: 5px;
}
.cvechat .bot {
    background: #e6f2ff;
}
.cvechat .user {
    background: #dfffd6;
    text-align: right;
}
.cvechat button {
    padding: 0.5rem 1rem;
}
.cvechat pre {
    background: #333;
    color: #fff;
    padding: 1rem;
    overflow-x: auto;
}

head {
    --version: 1.0.10;
}
.childarray {
    margin: 0px 0px 0px 16px;
    border-left: 2px dotted #999;
    position:relative;
    padding-left: 4px;
}
button.arrowdown {
    transform: rotate(90deg);
    color: #999;
}
.editorwrap.show {
    display: inline-block;
}    
.editorwrap {
    width: 100%;
    min-height: 600px;
    position: relative;
}
.jsoneditor {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}
.lang {
    width: 30ch;
    display: inline-block;
}
.erow {
    text-align: left;
    padding: 4px 1px 4px 1px;
    border-bottom: 1px dotted #aaa;
}
/* consider some other color for values  other than placeholder 
.erow input.form-control,
.erow textarea.form-control
{
    color: blue;
}
*/
.frow {
    border-bottom: 1px solid #999;
    position:relative;
    padding: 0px 0px 0px 4px;
}
ol.frow,
ol.childarray {
    counter-reset: listCounter;
}
li.erow {
    counter-increment: listCounter;
}
ol.frow li.erow::marker {
    font-size: 0.6em;
    content: "(" counter(listCounter) ")";
}
ol.frow li.erow:nth-of-type(1)::marker {
    list-style-type: none;
    content: "";
}
.erow:nth-of-type(1) > .enoncerequired {
    pointer-events: none;
    background: #eee;
}
.erow:last-of-type:not(:first-of-type) > .deleterow {
    display: block;
}
.deleterow {
    display: none;
}
.erow:nth-of-type(n+2) > input:nth-of-type(1) {
    width: 90%;
}
.duplicator {
    color: #333;
    background: transparent;
    border: none;
    font-size: 20px;
    top: 2px;
    right:2px;
    position: absolute;
    z-Index: 10;
}
.mauto { 
    width: auto;
    display:inline-block;
}
#cveUpdateModal label{
    display:block;
    font-weight: bold;
    text-align: left;
}
.ousername {
    display: none;
}
.ustatus {
    display:inline-block;
    padding-top: 4px;
}
.tswitch {
    position: absolute;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.tswitch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.tslider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.tslider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}


input:focus + .tslider {
    box-shadow: 0 0 1px #2196F3;
}

input.enabled + .tslider {    
    background-color: #2196F3;
}

input.enabled + .tslider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded tsliders */
.tslider.round {
    border-radius: 34px;
}

.tslider.round:before {
    border-radius: 50%;
}
.hwarn,
tr.hwarn {
    background-color: #fff3cd !important;
}
tr.hnew {
    background-color: lightgreen !important;
}
tr.hdanger {
    background-color: #f8d7da !important;
}
div.bootstrap-table button.btn {
    background-color: transparent;
    color: black;
}
/*&#x21bb  "&#8634;" &#x21ba */
.fa-sync::before {
    content: "\021BB";
}
.fa-sync {
    color: black;
}	  
.blackbody .fa-sync,
.blackbody div.bootstrap-table button.btn {
    color: white;
}
.blackbody {
    background-color: #333;
    color: white;
}
.logout {
    border: 1px solid black;
    border-right: transparent;
    padding: 2px 4px 2px 6px;
}
#topalert {
    display: none;
    /* Just 1 above bootstrap modal */
    z-index: 1051;
}
#deepDive .table td {
    text-align: left;
}
.addUser .updateuser {
    display:none;
}
.updateUser .adduser {
    display:none;
}
.loading {
    border: 4px solid #ddd;
    border-radius: 50%;
    border-top: 4px solid #222;
    width: 20px;
    height: 20px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}
@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
#cveUpdateModal .btn {
    color: white;
}
#allFields { all: initial; }
#allFields:not(.active) { display: none; }
#allFields fieldset {  all:revert;}
#allFields label { all:revert;}
#allFields * { all:revert;}
.nologin { padding: 2px;}
.nologin label * {  margin: 2px !important;}
li.nonumber {   list-style-type: none;}
label#cvenumber {    display: inline-block;}
label.optional { color: #999; }
.lowbottom { margin-bottom: 0px; border: none; }
.mrpad { margin-right: 28px;}
